Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members Related Pages

# Principal.cpp File Reference

`#include "Principal.h"`
`#include "CDR.h"`
`#include "tao/Principal.i"`

Include dependency graph for Principal.cpp:

## Functions
const char * | get_rcsid_tao_Principal (const char *)
CORBA::Boolean | operator<< (TAO_OutputCDR &cdr, CORBA::Principal *x)
CORBA::Boolean | operator>> (TAO_InputCDR &cdr, CORBA::Principal *&x)
## Variables
const char * | rcsid_tao_Principal = get_rcsid_tao_Principal ( rcsid_tao_Principal )

## Function Documentation

const char* get_rcsid_tao_Principal | ( | const char * |  | ) | `[inline, static]`

CORBA::Boolean operator<< | ( | TAO_OutputCDR & | cdr,
|  | CORBA::Principal * | x
| ) |

CORBA::Boolean operator>> | ( | TAO_InputCDR & | cdr,
|  | CORBA::Principal *& | x
| ) |

## Variable Documentation

const char* rcsid_tao_Principal = get_rcsid_tao_Principal ( rcsid_tao_Principal )`[static]`